package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 手续费实体
 * 表名 tb_cf_fee
 *
 * @author LHB
 * @date 2019-10-13 16:18:55
 */
public class TbCfFeeEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 收费id
     */
    private String feeId;
    /**
     * 收费类型,1为百分比，目前只有一种收费方式
     */
    private Integer feeType;
    /**
     * 是否生效标志
     */
    private Integer enableFlag;
    /**
     * 收取费用百分比
     */
    private BigDecimal feePercent;
    /**
     * 设置美元转换
     */
    private BigDecimal feeRate;

    /**
     * 设置：收费id
     */
    public void setFeeId(String feeId) {
        this.feeId = feeId;
    }

    /**
     * 获取：收费id
     */
    public String getFeeId() {
        return feeId;
    }
    /**
     * 设置：收费类型,1为百分比，目前只有一种收费方式
     */
    public void setFeeType(Integer feeType) {
        this.feeType = feeType;
    }

    /**
     * 获取：收费类型,1为百分比，目前只有一种收费方式
     */
    public Integer getFeeType() {
        return feeType;
    }
    /**
     * 设置：是否生效标志
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否生效标志
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
    /**
     * 设置：收取费用百分比
     */
    public void setFeePercent(BigDecimal feePercent) {
        this.feePercent = feePercent;
    }

    /**
     * 获取：收取费用百分比
     */

    public BigDecimal getFeePercent() {
        return feePercent;
    }
    /**
     * 设置：设置美元转换
     */
    public void setFeeRate(BigDecimal feeRate) {
        this.feeRate = feeRate;
    }

    /**
     * 获取：设置美元转换
     */
    public BigDecimal getFeeRate() {
        return feeRate;
    }
}
